QXmpp: QXmppContactAddresses Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppContactAddresses Class Reference
Inheritance diagram for QXmppContactAddresses:

## Public Member Functions
QList< QString > | abuseAddresses () const
| Returns addresses for communication related to abusive traffic.
void | setAbuseAddresses (const QList< QString > &)
| Sets addresses for communication related to abusive traffic.
QList< QString > | adminAddresses () const
| Returns addresses for communication with the service administrators.
void | setAdminAddresses (const QList< QString > &newAdminAddresses)
| Sets addresses for communication with the service administrators.
QList< QString > | feedbackAddresses () const
| Returns addresses for customer feedback.
void | setFeedbackAddresses (const QList< QString > &newFeedbackAddresses)
| Sets addresses for customer feedback.
QList< QString > | salesAddresses () const
| Returns addresses for communication related to sales and marketing.
void | setSalesAddresses (const QList< QString > &newSalesAddresses)
| Sets addresses for communication related to sales and marketing.
QList< QString > | securityAddresses () const
| Returns addresses for communication related to security concerns.
void | setSecurityAddresses (const QList< QString > &newSecurityAddresses)
| Sets addresses for communication related to security concerns.
QList< QString > | statusAddresses () const
| Returns addresses for service status.
void | setStatusAddresses (const QList< QString > &newStatusAddresses)
| Sets addresses for service status.
QList< QString > | supportAddresses () const
| Returns addresses for customer support.
void | setSupportAddresses (const QList< QString > &newSupportAddresses)
| Sets addresses for customer support.
Public Member Functions inherited from QXmppExtensibleDataFormBase
QList< QXmppDataForm::Field > | unknownFields () const
void | setUnknownFields (const QList< QXmppDataForm::Field > &unknownFields)
Public Member Functions inherited from QXmppDataFormBase
virtual QXmppDataForm | toDataForm () const

## Static Public Member Functions
static std::optional< QXmppContactAddresses > | fromDataForm (const QXmppDataForm &form)
| Parses QXmppDataForm into contact addresses and returns it if successful.

## Static Public Attributes
static constexpr auto | DataFormType = QXmpp::Private::ns_contact_addresses
| FORM_TYPE of this data form.

## Protected Member Functions
QString | formType () const override
bool | parseField (const QXmppDataForm::Field &) override
void | serializeForm (QXmppDataForm &) const override
Protected Member Functions inherited from QXmppExtensibleDataFormBase
void | parseForm (const QXmppDataForm &) override
void | serializeForm (QXmppDataForm &) const override
Protected Member Functions inherited from QXmppDataFormBase
std::optional< quint32 > | parseUInt (const QVariant &variant)
std::optional< quint64 > | parseULongLong (const QVariant &variant)
std::optional< bool > | parseBool (const QVariant &variant)

## Additional Inherited Members
Static Protected Member Functions inherited from QXmppDataFormBase
static bool | fromDataForm (const QXmppDataForm &form, QXmppDataFormBase &parent)
template<typename T>
static void | serializeValue (QXmppDataForm &form, QXmppDataForm::Field::Type type, const QString &name, const T &value)
template<typename T>
static void | serializeNullable (QXmppDataForm &form, QXmppDataForm::Field::Type type, QStringView name, const T &value)
template<typename T>
static void | serializeEmptyable (QXmppDataForm &form, QXmppDataForm::Field::Type type, QStringView name, const T &value)
template<typename T, typename ValueConverter = T (*)(T)>
static void | serializeOptional (QXmppDataForm &form, QXmppDataForm::Field::Type type, QStringView name, const std::optional< T > &optional, ValueConverter convert=[](T a) { return a;})
template<typename T>
static void | serializeOptionalNumber (QXmppDataForm &form, QXmppDataForm::Field::Type type, QStringView name, std::optional< T > optional)
static void | serializeDatetime (QXmppDataForm &form, const QString &name, const QDateTime &datetime, QXmppDataForm::Field::Type type=QXmppDataForm::Field::TextSingleField)

## Detailed Description

Data form used in service discovery information for publishing service contact addresses. See XEP-0157: Contact Addresses for XMPP Services for details.

QXmppDiscoveryIq iq;
if (auto contactAddresses = iq.dataForm<QXmppContactAddresses>()) {
auto abuseAddresses = contactAddresses->abuseAddresses();
}
QXmppContactAddresses::abuseAddresses
QList< QString > abuseAddresses() const
Returns addresses for communication related to abusive traffic.
Definition QXmppContactAddresses.cpp:59
QXmppDiscoveryIq
Definition QXmppDiscoveryIq.h:200
QXmppDiscoveryIq::dataForm
std::optional< QXmppDataForm > dataForm(QStringView formType) const
Definition base/compat/removed_api.cpp:328

Since
  QXmpp 1.12

## Member Function Documentation

## ◆ formType()

QString QXmppContactAddresses::formType | ( |  | ) | const
| overrideprotectedvirtual

Returns the 'FORM_TYPE' value of the parsed form.

Implements QXmppDataFormBase.

## ◆ parseField()

bool QXmppContactAddresses::parseField | ( | const QXmppDataForm::Field & |  | ) |
| overrideprotectedvirtual

Returns true if a field has been parsed.

Should be reimplemented to do actual parsing. All fields that can't be parsed end up as unknownFields().

Reimplemented from QXmppExtensibleDataFormBase.

## ◆ serializeForm()

void QXmppContactAddresses::serializeForm | ( | QXmppDataForm & |  | ) | const
| overrideprotectedvirtual

This is called the object is serialized to a QXmppDataForm. You need to create a new QXmppDataForm and serialize all fields and values.

Implements QXmppDataFormBase.

The documentation for this class was generated from the following files:

- QXmppContactAddresses.h
- QXmppContactAddresses.cpp